## ros-noetic-flexbe-behavior-engine 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(flexbe_behavior_engine)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-noetic-flexbe-behavior-engine 1.3.1

=== debian/changelog ===
ros-noetic-flexbe-behavior-engine (1.3.1-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.3.0-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.5-1buster) buster; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.4-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.3-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.2-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.1.2-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.1.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.1.0-1buster) buster; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge pull request #55 <https://github.com/team-vigir/flexbe_behavior_engine/issues/55> from alireza-hosseini/add-metapackage
    feat: Add flexbe_behavior_engine metapackage
  * feat: Add flexbe_behavior_engine metapackage
  * Contributors: Philipp Schillinger, alireza

 -- Philipp Schillinger <schillin@kth.se>  Fri, 30 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-flexbe-behavior-engine
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/flexbe
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-behavior-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-input, ros-noetic-flexbe-mirror, ros-noetic-flexbe-msgs, ros-noetic-flexbe-onboard, ros-noetic-flexbe-states, ros-noetic-flexbe-testing, ros-noetic-flexbe-widget
Description: A meta-package to aggregate all the FlexBE packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flexbe-behavior-engine//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-flexbe-behavior-engine 1.4.0

=== debian/changelog ===
ros-noetic-flexbe-behavior-engine (1.4.0-2focal) focal; urgency=high

  * Updates for Melodic and Noetic releases on github.com/FlexBE
  * [flexbe_core] Merge pull request #153 from omercans/fix/set-current-state-of-cc-to-none-on-forced-exit
  * [flexbe_core] Merge pull request #154 from duwke/patch-1 - Check topic availability before returning last_msg
  * [flexbe_states] Merge pull request #160 from cpswarm/fix_namespace - namespace fix for topic lookup with rostopic in subscriber state
  * [flexbe_core] Merge pull request #163 from LoyVanBeek/fix/nested_sm_userdata - Fix nested state machine userdata
  * [flexbe_onboard] Merge pull request #165 from HannesBachter/feature/get_userdata - get userdata by service

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.3.1-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Fri, 11 Dec 2020 05:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.3.0-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.5-2focal) focal; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 14 Jun 2020 04:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.4-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.3-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 10 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.2-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Mon, 16 Sep 2019 04:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.2.1-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.1.2-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 09 Apr 2019 04:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.1.1-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 18 Dec 2018 05:00:00 -0000

ros-noetic-flexbe-behavior-engine (1.1.0-2focal) focal; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge pull request #55 <https://github.com/team-vigir/flexbe_behavior_engine/issues/55> from alireza-hosseini/add-metapackage
    feat: Add flexbe_behavior_engine metapackage
  * feat: Add flexbe_behavior_engine metapackage
  * Contributors: Philipp Schillinger, alireza

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Dec 2018 05:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
